curl --request PUT \
--url https://api.coderabbit.ai/v1/verify/repositories/{repository_id} \
--header 'Content-Type: application/json' \
--header 'x-coderabbitai-api-key: <api-key>' \
--data '
{
"branch": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 0,
"org_id": "<string>",
"pr_runs_enabled": true,
"allow_pr_qa": true,
"pr_incremental_runs_enabled": true,
"tester_prompt": "<string>",
"classifier_prompt": "<string>"
}
'import requests
url = "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}"
payload = {
"branch": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 0,
"org_id": "<string>",
"pr_runs_enabled": True,
"allow_pr_qa": True,
"pr_incremental_runs_enabled": True,
"tester_prompt": "<string>",
"classifier_prompt": "<string>"
}
headers = {
"x-coderabbitai-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-coderabbitai-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: '<string>',
environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_revision: 0,
org_id: '<string>',
pr_runs_enabled: true,
allow_pr_qa: true,
pr_incremental_runs_enabled: true,
tester_prompt: '<string>',
classifier_prompt: '<string>'
})
};
fetch('https://api.coderabbit.ai/v1/verify/repositories/{repository_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'branch' => '<string>',
'environment_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expected_revision' => 0,
'org_id' => '<string>',
'pr_runs_enabled' => true,
'allow_pr_qa' => true,
'pr_incremental_runs_enabled' => true,
'tester_prompt' => '<string>',
'classifier_prompt' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}"
payload := strings.NewReader("{\n \"branch\": \"<string>\",\n \"environment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 0,\n \"org_id\": \"<string>\",\n \"pr_runs_enabled\": true,\n \"allow_pr_qa\": true,\n \"pr_incremental_runs_enabled\": true,\n \"tester_prompt\": \"<string>\",\n \"classifier_prompt\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.coderabbit.ai/v1/verify/repositories/{repository_id}")
.header("x-coderabbitai-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"branch\": \"<string>\",\n \"environment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 0,\n \"org_id\": \"<string>\",\n \"pr_runs_enabled\": true,\n \"allow_pr_qa\": true,\n \"pr_incremental_runs_enabled\": true,\n \"tester_prompt\": \"<string>\",\n \"classifier_prompt\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/verify/repositories/{repository_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branch\": \"<string>\",\n \"environment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 0,\n \"org_id\": \"<string>\",\n \"pr_runs_enabled\": true,\n \"allow_pr_qa\": true,\n \"pr_incremental_runs_enabled\": true,\n \"tester_prompt\": \"<string>\",\n \"classifier_prompt\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"repository_id": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Configure an existing Verify repository
Saves configuration only; does not start a job. Omitted optional settings remain unchanged. Read get_verify_repository for normalized saved values and the new config_revision.
curl --request PUT \
--url https://api.coderabbit.ai/v1/verify/repositories/{repository_id} \
--header 'Content-Type: application/json' \
--header 'x-coderabbitai-api-key: <api-key>' \
--data '
{
"branch": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 0,
"org_id": "<string>",
"pr_runs_enabled": true,
"allow_pr_qa": true,
"pr_incremental_runs_enabled": true,
"tester_prompt": "<string>",
"classifier_prompt": "<string>"
}
'import requests
url = "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}"
payload = {
"branch": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 0,
"org_id": "<string>",
"pr_runs_enabled": True,
"allow_pr_qa": True,
"pr_incremental_runs_enabled": True,
"tester_prompt": "<string>",
"classifier_prompt": "<string>"
}
headers = {
"x-coderabbitai-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-coderabbitai-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: '<string>',
environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_revision: 0,
org_id: '<string>',
pr_runs_enabled: true,
allow_pr_qa: true,
pr_incremental_runs_enabled: true,
tester_prompt: '<string>',
classifier_prompt: '<string>'
})
};
fetch('https://api.coderabbit.ai/v1/verify/repositories/{repository_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'branch' => '<string>',
'environment_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expected_revision' => 0,
'org_id' => '<string>',
'pr_runs_enabled' => true,
'allow_pr_qa' => true,
'pr_incremental_runs_enabled' => true,
'tester_prompt' => '<string>',
'classifier_prompt' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}"
payload := strings.NewReader("{\n \"branch\": \"<string>\",\n \"environment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 0,\n \"org_id\": \"<string>\",\n \"pr_runs_enabled\": true,\n \"allow_pr_qa\": true,\n \"pr_incremental_runs_enabled\": true,\n \"tester_prompt\": \"<string>\",\n \"classifier_prompt\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.coderabbit.ai/v1/verify/repositories/{repository_id}")
.header("x-coderabbitai-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"branch\": \"<string>\",\n \"environment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 0,\n \"org_id\": \"<string>\",\n \"pr_runs_enabled\": true,\n \"allow_pr_qa\": true,\n \"pr_incremental_runs_enabled\": true,\n \"tester_prompt\": \"<string>\",\n \"classifier_prompt\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/verify/repositories/{repository_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branch\": \"<string>\",\n \"environment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 0,\n \"org_id\": \"<string>\",\n \"pr_runs_enabled\": true,\n \"allow_pr_qa\": true,\n \"pr_incremental_runs_enabled\": true,\n \"tester_prompt\": \"<string>\",\n \"classifier_prompt\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"repository_id": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Path Parameters
Verify registration UUID returned as id by list_verify_repositories; not the provider repository ID.
Body
1 - 255Existing execution environment UUID authorized for this repository.
Match the latest get_verify_repository.config_revision; stale configuration writes are rejected.
-9007199254740991 <= x <= 9007199254740991Organization selected by a workspace API key; omit for an organization-bound key or MCP connection.
1Enable automatic pull-request runs. Omission preserves the saved value.
Allow QA for pull requests. Omission preserves the saved value.
Enable incremental pull-request runs. Omission preserves the saved preference; an unset native preference inherits pr_runs_enabled.
Additional tester instructions. Omit to preserve; send an empty string to use the native default.
20000Additional pull-request classifier instructions. Omit to preserve; send an empty string to use the native default.
20000Response
OK
Was this page helpful?